SPECS: VirtualBox.spec - use 'EOF' (no interpolation); tabs

glen glen at pld-linux.org
Tue Mar 13 18:13:59 CET 2007


Author: glen                         Date: Tue Mar 13 17:13:59 2007 GMT
Module: SPECS                         Tag: HEAD
---- Log message:
- use 'EOF' (no interpolation); tabs

---- Files affected:
SPECS:
   VirtualBox.spec (1.13 -> 1.14) 

---- Diffs:

================================================================
Index: SPECS/VirtualBox.spec
diff -u SPECS/VirtualBox.spec:1.13 SPECS/VirtualBox.spec:1.14
--- SPECS/VirtualBox.spec:1.13	Tue Mar 13 18:04:45 2007
+++ SPECS/VirtualBox.spec	Tue Mar 13 18:13:54 2007
@@ -203,23 +203,23 @@
 	$RPM_BUILD_ROOT%{_libdir}/VirtualBox \
 	$RPM_BUILD_ROOT/etc/rc.d/init.d
 
-cat > VBox.sh << EOF
+cat > VBox.sh <<'EOF'
 #!/bin/sh
 
 if [ ! -c /dev/vboxdrv ]; then
-    echo "Special character device /dev/vboxdrv doesn't exists!"
-    echo "Check your installation and if vboxdrv kernel module is loaded."
-    exit 1
+	echo "Special character device /dev/vboxdrv doesn't exists!"
+	echo "Check your installation and if vboxdrv kernel module is loaded."
+	exit 1
 fi
 
 if [ ! -w /dev/vboxdrv ]; then
-    echo "You don't have write access to /dev/vboxdrv!"
-    echo "Correct this situation or contact with your system administrator."
-    exit 1
+	echo "You don't have write access to /dev/vboxdrv!"
+	echo "Correct this situation or contact with your system administrator."
+	exit 1
 fi
 
-BINFILE=\`basename \$0\`
-LD_LIBRARY_PATH=%{_libdir}/VirtualBox %{_libdir}/VirtualBox/\$BINFILE \$@
+BINFILE=$(basename "$0")
+LD_LIBRARY_PATH=%{_libdir}/VirtualBox %{_libdir}/VirtualBox/$BINFILE ${1:+"$@"}
 EOF
 
 for f in {VBox{BFE,Manage,SDL,SVC,XPCOMIPCD},VirtualBox}
@@ -306,6 +306,9 @@
 All persons listed below can be reached at <cvs_login>@pld-linux.org
 
 $Log$
+Revision 1.14  2007/03/13 17:13:54  glen
+- use 'EOF' (no interpolation); tabs
+
 Revision 1.13  2007/03/13 17:04:45  pascalek
 - Release 0.2
 - Req kernel module
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SPECS/VirtualBox.spec?r1=1.13&r2=1.14&f=u



More information about the pld-cvs-commit mailing list